INCLUDES= $(all_includes) $(SDL_CFLAGS) -I$(kde_includes)/tde

METASOURCES = AUTO

kde_module_LTLIBRARIES = noatuntyler.la

noatuntyler_la_SOURCES = tyler.cpp
noatuntyler_la_LDFLAGS = $(all_libraries) -module -avoid-version -no-undefined
noatuntyler_la_LIBADD = $(LIB_TDEFILE) -lnoatun -lm

bin_PROGRAMS = noatuntyler.bin

noatuntyler_bin_SOURCES = main.cpp file.cpp compute.c display.c renderer.c
noatuntyler_bin_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
noatuntyler_bin_LDADD = $(LIB_TDECORE) -lm $(SDL_LIBS)

noatun_DATA = tyler.plugin tylerstates
noatundir = $(kde_datadir)/noatun

messages: rc.cpp
	$(XGETTEXT) *.cpp *.h -o $(podir)/tyler.pot
